# Function default

- default(): {
  clear(): void;
  getItem(key): any;
  hasOwnProperty(key): boolean;
  removeItem(key): void;
  setItem(key, value): void;
  }

- #### Returns {
  clear(): void;
  getItem(key): any;
  hasOwnProperty(key): boolean;
  removeItem(key): void;
  setItem(key, value): void;
  }

  - ##### clear:function

    - clear(): void

    - #### Returns void

      - Defined in src/test/utils/mocks/mockLocalStorage.ts:21

  - ##### getItem:function

    - getItem(key): any

    - #### Parameters

      - key: string

      #### Returns any

      - Defined in src/test/utils/mocks/mockLocalStorage.ts:5

  - ##### hasOwnProperty:function

    - hasOwnProperty(key): boolean

    - #### Parameters

      - key: string

      #### Returns boolean

      - Defined in src/test/utils/mocks/mockLocalStorage.ts:13

  - ##### removeItem:function

    - removeItem(key): void

    - #### Parameters

      - key: string

      #### Returns void

      - Defined in src/test/utils/mocks/mockLocalStorage.ts:17

  - ##### setItem:function

    - setItem(key, value): void

    - #### Parameters

      - key: string
      - value: string

      #### Returns void

      - Defined in src/test/utils/mocks/mockLocalStorage.ts:9
  - Defined in src/test/utils/mocks/mockLocalStorage.ts:1